<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>

	<script type="text/javascript">
		
let cadena="", acum_conso=0, acum_vocal=0, tcaract=0;

	cadena=prompt("Introduce una cadena");
	tcaract=cadena.length;

	//Para contar los caracteres sin espacios
	
	for(s=0, i=0; i<=cadena.length-1;i++) {

		if(cadena[i]!=" ") {
			s=s+1;
		}
	}
	
	for(i=0;i<=cadena.length-1;i++) {

		switch (cadena[i]) {
			case "a":
				acum_vocal=acum_vocal+1;
				break;
			case "e":
				acum_vocal=acum_vocal+1;
				break;
			case "i":
				acum_vocal=acum_vocal+1;
				break;
			case "o":
				acum_vocal=acum_vocal+1;
				break;
			case "u":
				acum_vocal=acum_vocal+1;
				break;
			case " ":
				break;
			default:
				acum_conso=acum_conso+1;
				break;
		}
	}
	

	document.write("El número total de caracteres es: "+tcaract+"<br>");
	document.write("El número total de caracteres sin espacios es: "+s+"<br>");
	document.write("El número de consonantes: "+acum_conso+"<br>");
	document.write("El número de vocales es: "+acum_vocal+"<br>");
	




	</script>
</head>
<body>
	
</body>
</html>